SDL_GetRevision(3)

NAME
SDL_GetRevision - Get the code revision of the SDL library that is linked against your program.

SYNOPSIS
#include <SDL3/SDL_version.h>

const char * SDL_GetRevision(void);

DESCRIPTION
This value is the revision of the code you are linking against and may be different from the code you are compiling with, which is found in the constant SDL_REVISION if you explicitly include SDL_revision.h

The revision is an arbitrary string (a hash value) uniquely identifying the exact revision of the SDL library in use, and is only useful in comparing against other revisions. It is NOT an incrementing number.

If SDL wasn't built from a git repository with the appropriate tools, this will return an empty string.

You shouldn't use this function for anything but logging it for debugging purposes. The string is not intended to be reliable in any way.

RETURN VALUE
Returns an arbitrary string, uniquely identifying the exact revision of the SDL library in use.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetVersion(3)